classification
Title: Remove Windows Vista support
Type: enhancement Stage: resolved
Components: Windows Versions: Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Drop support of Windows Vista and 7 in Python 3.9
View: 32592
Assigned To: Nosy List: paul.moore, steve.dower, terry.reedy, tim.golden, vstinner, zach.ware
Priority: normal Keywords:

Created on 2016-12-26 18:00 by steve.dower, last changed 2019-05-06 15:32 by vstinner. This issue is now closed.

Messages (4)
msg284034 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-12-26 18:00
Windows Vista SP2 is out of support by the time that Python 3.7 releases (see PEP 0537 and [1]), so we should do the following tasks:

*  update the definition of Py_WINVER in PC/pyconfig.h to 0x0601 _WIN32_WINNT_WIN7
* remove any dynamic API imports that are not required on Win7 (I don't think there are many, if any)
* remove pre-Win7 supportedOS elements from PC/python.manifest
* block Windows Vista in the installer

We may also be able to take advantage of new flags, particularly related to security (I think LoadLibrary[Ex] got new flags).

If there's anything else we need to do, post it here so we don't forget.

References:
[1]: https://support.microsoft.com/en-us/lifecycle/search?alpha=Windows%20Vista%20Service%20Pack%202
msg284364 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-12-31 05:16
How certain are you that Vista support will actually end?

Other things: assuming reasonable certainty, could the 3.6 installer say "This is the last version that will run on Vista!"?
msg284455 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-01-02 04:22
Only as certain as anyone else in the general public - I don't have any special information besides what has been published.

Since it's been published for the specific intent of helping 3rd parties plan their own deprecation cycles, I think it's okay to assume that it's correct. The chance of there being an XP-like backlash against Vista's end-of-life is very low.
msg341532 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-06 15:32
I close this issue as a duplicate of bpo-32592 which has a longer history.
History
Date User Action Args
2019-05-06 15:32:47vstinnersetstatus: open -> closed

superseder: Drop support of Windows Vista and 7 in Python 3.9

nosy: + vstinner
messages: + msg341532
resolution: duplicate
stage: needs patch -> resolved
2017-01-02 04:22:54steve.dowersetmessages: + msg284455
2016-12-31 05:16:28terry.reedysetnosy: + terry.reedy
messages: + msg284364
2016-12-26 18:00:54steve.dowersettitle: Update WINVER to Windows 7 -> Remove Windows Vista support
2016-12-26 18:00:41steve.dowercreate